diff --git a/changelog b/changelog
index 73b60eb..0661218 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140427 tpd src/axiom-website/patches.html 20140427.01.tpd.patch
+20140427 tpd src/axiom-website/documentation.html add Knuth quote, cleanup
 20140426 tpd src/axiom-website/patches.html 20140426.01.tpd.patch
 20140426 tpd book/2002-10.txt use real names
 20140426 tpd book/2002-11.txt use real names
diff --git a/src/axiom-website/documentation.html b/src/axiom-website/documentation.html
index 798d0bb..d1b9e0b 100644
--- a/src/axiom-website/documentation.html
+++ b/src/axiom-website/documentation.html
@@ -122,133 +122,171 @@
 <center>
   <h1> Why Literate Programming?</h1>
 </center>
+
 <br/><br/>
 <blockquote>
-<b>To understand a program, be the machine.
-To understand text, be human. 
-Write for your audience.
+<b><p>
+To understand a program, be the machine.<br/>
+To understand text, be human. <br/>
+Write for your audience.<br/>
 Write Literate Programs.
-<br/><br/>
+</p></b>
+</blockquote>
 --Tim Daly April, 2013
-<br/>
+
 <br/><br/>
 <blockquote>
-<b>In my life as an artchitect, I find that the single thing which inhibits
+<b><p>
+In my life as an artchitect, I find that the single thing which inhibits
 young professionals, new students most severely, is their acceptance of
 standards that are too low. If I ask a student whether her design is as
 good as Chartres, she often smiles tolerantly at me as if to say, "Of
-course not, that isn't what I am trying to do...I could never do that."</b>
-<br/><br/>
-<b>Then, I express my disagreement, and tell her: "That standard must be 
+course not, that isn't what I am trying to do...I could never do that."
+</p>
+<p>
+Then, I express my disagreement, and tell her: "That standard must be 
 our standard. If you are going to be a builder, no other standard is
-worthwhile."</b>
-<br/><br/>
---Christopher Alexander, May 1996 in (Patterns of Software, Gabriel)
-<br/>
+worthwhile."
+</p></b>
 </blockquote>
+--Christopher Alexander, May 1996 in (Patterns of Software, Gabriel)
+
 <br/><br/>
 <blockquote>
 <b>The best programming language is English. Everything else is notation.</b>
 </blockquote>
-<br/>
--- Timothy Daly (2011)
+-- Tim Daly (2011)
+
 <br/><br/>
 <a href="litprog.html">Here is an <b>example literate program</b> in HTML</a>
 <br/>
 <a href="http://www.jstatsoft.org/v46/i03/paper">
-Here is a Journal article about Literate Programming and Reproducible
+Here is a <b>Journal article</b> about Literate Programming and Reproducible
 Research</a>
+
 <br/><br/>
 <blockquote>
-<b>I believe that the time is ripe for significantly better documentation of
+<b><p>
+I believe that the time is ripe for significantly better documentation of
 programs, and that we can best achieve this by considering programs to be
-works of literature. Hence, my title "Literate Programming"</b>
-<br/>
-<b>
+works of literature. Hence, my title "Literate Programming"
+</p>
+<p>
 Let us change our traditional attitude to the construction of programs:
 Instead of imagining that our main task is to instruct a computer what to do,
 let us concentrate rather on explaining to human beings what we want a
-computer to do.</b>
+computer to do.
+</p></b>
 </blockquote>
-<br/>
 -- Donald Knuth "Literate Programming (1984)" in Literate Programming CSLI, p99
+
 <br/><br/>
 <blockquote>
-<b>Step away from the machine. 
-Literate programming has nothing to do with tools
-or style. It has very little to do with programming.
-One of the hard transitions to literate programming is "literate thinking".</b>
+<b><p>
+Step away from the machine. <br/>
+Literate programming has nothing to do with tools or style.<br/> 
+It has very little to do with programming.<br/>
+One of the hard transitions to literate programming is "literate thinking".
+</p></b>
 </blockquote>
-<br/>
 -- Timothy Daly (2010) in Lambda the Ultimate forum [LTW10]
+
 <br/><br/>
 <blockquote>
-<b>The hardest part of literate programming is the documentation.</b>
+<b><p>
+The hardest part of literate programming is the documentation.
+</p></b>
 </blockquote>
-<br/>
 --Timothy Daly (2011)
+
 <br/><br/>
 <blockquote>
-<b>The effect of this simple shift of emphasis can be so profound as to change
+<b><p>
+The effect of this simple shift of emphasis can be so profound as to change
 one's whole approach to programming. Under the literate programming paradigm,
 the central activity of programming becomes that of conveying meaning to 
 other intelligent beings rather than merely convincing the computer to behave
 in a particular way. It is the difference between performing and exposing
-a magic trick.</b>
+a magic trick.
+</p></b>
 </blockquote>
-<br/>
 --Ross Williams, FunnelWeb Tutorial Manual, pg 4.
+
 <br/><br/>
 <blockquote>
-<b>Another thing I've been enjoying lately is literate programming.
+<b><p>
+Another thing I've been enjoying lately is literate programming.
 Amazingly it turns out to be faster to write a literate program than
-an ordinary program because debugging takes almost no time.</b>
+an ordinary program because debugging takes almost no time.
+</p></b>
 </blockquote>
-<br/>
 --Bill Hart, SAGE Mailing list, May 3, 2010
-<br/><br/>
 
+<br/><br/>
 <blockquote>
-<b>The conversation is much more direct if the Design Concept per se,
-rather than derivative representatives or partial details, is the focus.</b>
+<b><p>
+The conversation is much more direct if the Design Concept per se,
+rather than derivative representatives or partial details, is the focus.
+</p></b>
 </blockquote>
-<br/>
 --Fred Brooks: The Design of Design: Essays from a Computer Scientist.
-<br/><br/>
 
+<br/><br/>
 <blockquote>
-<b>We are banning the old notion of literate programming that I used when
-developing TeX82 because documentation has proven to be too much of a pain.</b>
+<b><p>
+We are banning the old notion of literate programming that I used when
+developing TeX82 because documentation has proven to be too much of a pain.
+</p></b>
 </blockquote>
-<br/>
 --Donald Knuth 
 <a href="http://river-valley.tv/media/conferences/tug-2010/Don-Knuth-1">
 TUG 2010</a>
 <br/><br/>
 
-And on Axiom's "30 Year Horizon" focus:<br/><br/>
+And on Axiom's "30 Year Horizon" focus:
+
+
+<br/><br/>
+<blockquote>
+<b><p>
+The index to Digital Typography lists eleven pages where the importance
+of stability is stressed, and I urge all maintainers of Tex and Metafont
+to read them again every few years. Any object of nontrivial complexity
+is non-optimum, in the sense that it can be improved in some way (while
+still remaining non-optimum); therefore there's always a reason to change 
+anything that isn't trivial. But one of Tex's principal advantages is
+the fact that  it does not change -- except for serious flaws whos
+correction is unlikely to affect more than a very tiny number of
+archival documents.
+</p></b>
+</blockquote>
+-- Knuth, Donald
+<a href="http://tug.org/TUGboat/tb35-1/tb109knut.pdf">
+The Tex tuneup of 2014</a>
 
+<br/><br/>
 <blockquote>
-<b>Once upon a time I took great care to ensure that TeX82 would be
+<b><p>
+Once upon a time I took great care to ensure that TeX82 would be
 truly archival so that results obtainable today would produce the same
 output 50 years from now but that was manifestly foolish. Let's face
 it, who is going to care one whit for what I do today after even 5
 years have elapsed, let alone 50. Life is too short to re-read
 anything anymore in the internet age. Nothing over 30 months old is
 trustworthy or interesting.
-</b>
+</p></b>
 </blockquote>
-<br/>
 --Donald Knuth 
 <a href="http://river-valley.tv/media/conferences/tug-2010/Don-Knuth-1">
 TUG 2010</a>
+
 <br/><br/>
 
 From a November, 2011 Knuth interview:
+
 <br/><br/>
 <blockquote>
-<b>
-<p>
+<b><p>
 Yet to me, literate programming is certainly the most important thing
 that came out of the TeX project. Not only has it enabled me to write
 and maintain programs faster and more reliably than ever before, and
@@ -259,61 +297,57 @@ methodology that I've ever heard of. The complexity was simply too
 daunting for my limited brain to handle; without literate programming,
 the whole enterprise would have flopped miserably.
 </p>
-<br/>
 <p>
 If people discover nice ways to use the newfangled multithreaded
 machines, I would expect the discovery to come from people who
 routinely use literate programming. Literate programming is what you
 need to rise above the ordinary level of achievement. But I don't
 believe in forcing ideas on anybody. 
-</p>
-</b>
+</p></b>
 </blockquote>
-<br/>
 -- Knuth, Donald 
 <a href="http://www.informit.com/articles/article.aspx?p=1193856&_">
 Interview with Donald Knuth</a>
-<br/><br/>
 
+<br/><br/>
 <blockquote>
-<p><b>
+<b><p>
 An abbot of the Seven-Clawed Blind Eagle Clan was tallying the
 deliverables of the temple monks, when he noticed that a monk of the
 Laughing Monkey Clan had produced no design documents.
-</b></p>
-<p><b>
+</p>
+<p>
 "What if a problem were discovered in our production system?" the abbot
 asked the monk. "How would the cause be understood by any besides
 yourself?"
-</b></p>
-<p><b>
+</p>
+<p>
 "The code itself should be examined," said the monk. "The Document is a
 sickly beast, easily subject to the Three Plagues of Error: omission,
 obfuscation, and obsolescence."
-</b></p>
-<p><b>
+</p>
+<p>
 The abbot reported this to the Java master, who said: "Have the monk
 balance on one foot with his staff outstretched, every day from dusk to
 midnight. If he can say a word to please me I will revoke the punishment,
 but not otherwise."
-</b></p>
-<p><b>
+</p>
+<p>
 "Is there such a word?" asked the abbot.
-</b></p>
-<p><b>
+</p>
+<p>
 "It is difficult to be certain," reflected the master. "Yesterday I was 
 pleased by the sound of a cricket chirping after the first three drops
 of rain. The day before, the plashing of milk in a pail returned me to
 a pleasant memory of my youth. Perhaps the answer lies in the fragrance
 of a white lotus that drifted once in a pond below my window."
-</b></p>
+</p></b>
 </blockquote>
-<br/>
 --Qi
 <a href="http://thecodelesscode.com/case/16">
 The Codeless Code</a>
-<br/><br/>
 
+<br/><br/>
 <hr/>
 <br/>
 Once a program has been developed and the developers have moved
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 2711316..797a1ac 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4312,6 +4312,8 @@ book/2004-11.txt regularize
 book/2002-10.txt, book/2002-11.txt, book/2002-12.txt use real names
 <a href="patches/20140426.01.tpd.patch">20140426.01.tpd.patch</a>
 book/*.txt use real names
+<a href="patches/20140427.01.tpd.patch">20140427.01.tpd.patch</a>
+src/axiom-website/documentation.html add Knuth quote, cleanup
  </body>
 </html>
 
